Subject: Re: perf top broken on ppc64

From: Ian Munsie <[email-masked]>
Date: Wed, 21 Apr 2010 15:29:19 +1000

Excerpts from Alexander Graf's message of Wed Apr 21 09:21:36 +1000 2010:
> Hi,
> 
> While trying to find out performance bottlenecks in KVM for PowerPC I
> figured I'd try and use "perf top" to see what's going on in the
> system. This works great on my G4, but doesn't on the Powerstation
> (970MP).
> 
> The only weird thing I can imagine about this setup is that I'm
> running 32 bit userland on a 64 bit kernel. So I went ahead and
> compiled perf for ppc64 - without any change:

I'm using 32 bit userland and 64 bit kernel on a PowerPC box and it's working for me.
Are you building perf from the tip tree?

Cheers,
-Ian